﻿using CloudReporting.Reports;
using System;
using System.Collections.Generic;

namespace CloudReporting.DataRepository
{
    public class Repository
    {
        public List<OrderInformation> GetFakeOrdersForProductCategoryReport(string category)
        {
            var data = new List<OrderInformation>();
            for (int o = 1; o < 11; o++)
            for (int d = 1; d < 4; d++)
            for (int p = 1; p < 5; p++)
            {
                data.Add(new OrderInformation
                {
                    Date = DateTime.Today.AddHours(5 + (d * 4)),
                    Order = "Order " + o.ToString(),
                    Category = category,
                    Product = "Product " + p.ToString(),
                    Qty = d * 3,
                    LineTotal = p * 1.23m,
                });
            }
            return data;
        }
    }
}
